Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Adding sdp.c and the bunch of modified Makefile.in... :(
[simgrid.git] / examples / simdag / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21 srcdir = @srcdir@
22 top_srcdir = @top_srcdir@
23 VPATH = @srcdir@
24 pkgdatadir = $(datadir)/@PACKAGE@
25 pkglibdir = $(libdir)/@PACKAGE@
26 pkgincludedir = $(includedir)/@PACKAGE@
27 top_builddir = ../..
28 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29 INSTALL = @INSTALL@
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 target_triplet = @target@
44 check_PROGRAMS = sd_test$(EXEEXT)
45 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
46         $(srcdir)/test_simdag.in $(top_srcdir)/acmacro/dist-files.mk
47 subdir = examples/simdag
48 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
49 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
50         $(top_srcdir)/acmacro/compiler-flags.m4 \
51         $(top_srcdir)/acmacro/context.m4 \
52         $(top_srcdir)/acmacro/fancy_configury.m4 \
53         $(top_srcdir)/acmacro/flex.m4 \
54         $(top_srcdir)/acmacro/gras_arch.m4 \
55         $(top_srcdir)/acmacro/print_null.m4 \
56         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
57 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
58         $(ACLOCAL_M4)
59 mkinstalldirs = $(install_sh) -d
60 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
61 CONFIG_CLEAN_FILES = test_simdag
62 am_sd_test_OBJECTS = sd_test.$(OBJEXT)
63 sd_test_OBJECTS = $(am_sd_test_OBJECTS)
64 sd_test_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
65 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
66 depcomp = $(SHELL) $(top_srcdir)/depcomp
67 am__depfiles_maybe = depfiles
68 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
69         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
70 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
71         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
72         $(AM_CFLAGS) $(CFLAGS)
73 CCLD = $(CC)
74 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
75         $(AM_LDFLAGS) $(LDFLAGS) -o $@
76 SOURCES = $(sd_test_SOURCES)
77 DIST_SOURCES = $(sd_test_SOURCES)
78 ETAGS = etags
79 CTAGS = ctags
80 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
81 ACLOCAL = @ACLOCAL@
82 ADDR2LINE = @ADDR2LINE@
83 AMDEP_FALSE = @AMDEP_FALSE@
84 AMDEP_TRUE = @AMDEP_TRUE@
85 AMTAR = @AMTAR@
86 AR = @AR@
87 AS = @AS@
88 AUTOCONF = @AUTOCONF@
89 AUTOHEADER = @AUTOHEADER@
90 AUTOMAKE = @AUTOMAKE@
91 AWK = @AWK@
92 BASH = @BASH@
93 CC = @CC@
94 CCDEPMODE = @CCDEPMODE@
95 CFLAGS = @CFLAGS@
96 CPP = @CPP@
97 CPPFLAGS = @CPPFLAGS@
98 CXX = @CXX@
99 CXXCPP = @CXXCPP@
100 CXXDEPMODE = @CXXDEPMODE@
101 CXXFLAGS = @CXXFLAGS@
102 CYGPATH_W = @CYGPATH_W@
103 DEFS = @DEFS@
104 DEPDIR = @DEPDIR@
105 DLLTOOL = @DLLTOOL@
106 DOXYGEN = @DOXYGEN@
107 ECHO = @ECHO@
108 ECHO_C = @ECHO_C@
109 ECHO_N = @ECHO_N@
110 ECHO_T = @ECHO_T@
111 EGREP = @EGREP@
112 EXEEXT = @EXEEXT@
113 F77 = @F77@
114 FFLAGS = @FFLAGS@
115 FLEXML = @FLEXML@
116 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
117 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
118 GRAS_DEP = @GRAS_DEP@
119 GREP = @GREP@
120 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
121 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
122 INSTALL_DATA = @INSTALL_DATA@
123 INSTALL_PROGRAM = @INSTALL_PROGRAM@
124 INSTALL_SCRIPT = @INSTALL_SCRIPT@
125 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
126 LDFLAGS = @LDFLAGS@
127 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
128 LEX = @LEX@
129 LEXLIB = @LEXLIB@
130 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
131 LIBOBJS = @LIBOBJS@
132 LIBS = @LIBS@
133 LIBTOOL = @LIBTOOL@
134 LN_S = @LN_S@
135 LTLIBOBJS = @LTLIBOBJS@
136 MAINT = @MAINT@
137 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
138 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
139 MAKEINFO = @MAKEINFO@
140 MD5SUM = @MD5SUM@
141 OBJDUMP = @OBJDUMP@
142 OBJEXT = @OBJEXT@
143 PACKAGE = @PACKAGE@
144 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
145 PACKAGE_NAME = @PACKAGE_NAME@
146 PACKAGE_STRING = @PACKAGE_STRING@
147 PACKAGE_TARNAME = @PACKAGE_TARNAME@
148 PACKAGE_VERSION = @PACKAGE_VERSION@
149 PATH_SEPARATOR = @PATH_SEPARATOR@
150 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
151 RANLIB = @RANLIB@
152 SET_MAKE = @SET_MAKE@
153 SHELL = @SHELL@
154 SIMGRID_DEP = @SIMGRID_DEP@
155 STRIP = @STRIP@
156 VERSION = @VERSION@
157 WARNING = @WARNING@
158 abs_builddir = @abs_builddir@
159 abs_srcdir = @abs_srcdir@
160 abs_top_builddir = @abs_top_builddir@
161 abs_top_srcdir = @abs_top_srcdir@
162 ac_configure_args = @ac_configure_args@
163 ac_ct_CC = @ac_ct_CC@
164 ac_ct_CXX = @ac_ct_CXX@
165 ac_ct_F77 = @ac_ct_F77@
166 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
167 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
168 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
169 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
170 am__include = @am__include@
171 am__leading_dot = @am__leading_dot@
172 am__quote = @am__quote@
173 am__tar = @am__tar@
174 am__untar = @am__untar@
175 bindir = @bindir@
176 build = @build@
177 build_alias = @build_alias@
178 build_cpu = @build_cpu@
179 build_id = @build_id@
180 build_os = @build_os@
181 build_vendor = @build_vendor@
182 datadir = @datadir@
183 datarootdir = @datarootdir@
184 docdir = @docdir@
185 dvidir = @dvidir@
186 exec_prefix = @exec_prefix@
187 host = @host@
188 host_alias = @host_alias@
189 host_cpu = @host_cpu@
190 host_os = @host_os@
191 host_vendor = @host_vendor@
192 htmldir = @htmldir@
193 includedir = @includedir@
194 infodir = @infodir@
195 install_sh = @install_sh@
196 libdir = @libdir@
197 libexecdir = @libexecdir@
198 localedir = @localedir@
199 localstatedir = @localstatedir@
200 mandir = @mandir@
201 mkdir_p = @mkdir_p@
202 oldincludedir = @oldincludedir@
203 pdfdir = @pdfdir@
204 prefix = @prefix@
205 program_transform_name = @program_transform_name@
206 psdir = @psdir@
207 pth_skaddr_makecontext = @pth_skaddr_makecontext@
208 pth_sksize_makecontext = @pth_sksize_makecontext@
209 sbindir = @sbindir@
210 sharedstatedir = @sharedstatedir@
211 sysconfdir = @sysconfdir@
212 target = @target@
213 target_alias = @target_alias@
214 target_cpu = @target_cpu@
215 target_os = @target_os@
216 target_vendor = @target_vendor@
217 INCLUDES = -I$(top_srcdir)/include
218 AM_CFLAGS = -g
219 EXTRA_DIST = small_platform.xml
220 CLEANFILES = sd_test.trace
221 TESTS = test_simdag
222 sd_test_SOURCES = sd_test.c
223 sd_test_LDADD = $(top_builddir)/src/libsimgrid.la
224 all: all-am
225
226 .SUFFIXES:
227 .SUFFIXES: .c .lo .o .obj
228 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
229         @for dep in $?; do \
230           case '$(am__configure_deps)' in \
231             *$$dep*) \
232               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
233                 && exit 0; \
234               exit 1;; \
235           esac; \
236         done; \
237         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/simdag/Makefile'; \
238         cd $(top_srcdir) && \
239           $(AUTOMAKE) --gnu  examples/simdag/Makefile
240 .PRECIOUS: Makefile
241 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
242         @case '$?' in \
243           *config.status*) \
244             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
245           *) \
246             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
247             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
248         esac;
249
250 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
251         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
252
253 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
254         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
255 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
256         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
257 test_simdag: $(top_builddir)/config.status $(srcdir)/test_simdag.in
258         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
259
260 clean-checkPROGRAMS:
261         @list='$(check_PROGRAMS)'; for p in $$list; do \
262           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
263           echo " rm -f $$p $$f"; \
264           rm -f $$p $$f ; \
265         done
266 sd_test$(EXEEXT): $(sd_test_OBJECTS) $(sd_test_DEPENDENCIES) 
267         @rm -f sd_test$(EXEEXT)
268         $(LINK) $(sd_test_LDFLAGS) $(sd_test_OBJECTS) $(sd_test_LDADD) $(LIBS)
269
270 mostlyclean-compile:
271         -rm -f *.$(OBJEXT)
272
273 distclean-compile:
274         -rm -f *.tab.c
275
276 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sd_test.Po@am__quote@
277
278 .c.o:
279 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
280 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
281 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
282 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
283 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
284
285 .c.obj:
286 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
287 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
288 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
289 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
290 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
291
292 .c.lo:
293 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
294 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
295 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
296 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
297 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
298
299 mostlyclean-libtool:
300         -rm -f *.lo
301
302 clean-libtool:
303         -rm -rf .libs _libs
304
305 distclean-libtool:
306         -rm -f libtool
307 uninstall-info-am:
308
309 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
310         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
311         unique=`for i in $$list; do \
312             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
313           done | \
314           $(AWK) '    { files[$$0] = 1; } \
315                END { for (i in files) print i; }'`; \
316         mkid -fID $$unique
317 tags: TAGS
318
319 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
320                 $(TAGS_FILES) $(LISP)
321         tags=; \
322         here=`pwd`; \
323         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
324         unique=`for i in $$list; do \
325             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
326           done | \
327           $(AWK) '    { files[$$0] = 1; } \
328                END { for (i in files) print i; }'`; \
329         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
330           test -n "$$unique" || unique=$$empty_fix; \
331           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
332             $$tags $$unique; \
333         fi
334 ctags: CTAGS
335 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
336                 $(TAGS_FILES) $(LISP)
337         tags=; \
338         here=`pwd`; \
339         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
340         unique=`for i in $$list; do \
341             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
342           done | \
343           $(AWK) '    { files[$$0] = 1; } \
344                END { for (i in files) print i; }'`; \
345         test -z "$(CTAGS_ARGS)$$tags$$unique" \
346           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
347              $$tags $$unique
348
349 GTAGS:
350         here=`$(am__cd) $(top_builddir) && pwd` \
351           && cd $(top_srcdir) \
352           && gtags -i $(GTAGS_ARGS) $$here
353
354 distclean-tags:
355         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
356
357 check-TESTS: $(TESTS)
358         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
359         srcdir=$(srcdir); export srcdir; \
360         list='$(TESTS)'; \
361         if test -n "$$list"; then \
362           for tst in $$list; do \
363             if test -f ./$$tst; then dir=./; \
364             elif test -f $$tst; then dir=; \
365             else dir="$(srcdir)/"; fi; \
366             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
367               all=`expr $$all + 1`; \
368               case " $(XFAIL_TESTS) " in \
369               *" $$tst "*) \
370                 xpass=`expr $$xpass + 1`; \
371                 failed=`expr $$failed + 1`; \
372                 echo "XPASS: $$tst"; \
373               ;; \
374               *) \
375                 echo "PASS: $$tst"; \
376               ;; \
377               esac; \
378             elif test $$? -ne 77; then \
379               all=`expr $$all + 1`; \
380               case " $(XFAIL_TESTS) " in \
381               *" $$tst "*) \
382                 xfail=`expr $$xfail + 1`; \
383                 echo "XFAIL: $$tst"; \
384               ;; \
385               *) \
386                 failed=`expr $$failed + 1`; \
387                 echo "FAIL: $$tst"; \
388               ;; \
389               esac; \
390             else \
391               skip=`expr $$skip + 1`; \
392               echo "SKIP: $$tst"; \
393             fi; \
394           done; \
395           if test "$$failed" -eq 0; then \
396             if test "$$xfail" -eq 0; then \
397               banner="All $$all tests passed"; \
398             else \
399               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
400             fi; \
401           else \
402             if test "$$xpass" -eq 0; then \
403               banner="$$failed of $$all tests failed"; \
404             else \
405               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
406             fi; \
407           fi; \
408           dashes="$$banner"; \
409           skipped=""; \
410           if test "$$skip" -ne 0; then \
411             skipped="($$skip tests were not run)"; \
412             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
413               dashes="$$skipped"; \
414           fi; \
415           report=""; \
416           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
417             report="Please report to $(PACKAGE_BUGREPORT)"; \
418             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
419               dashes="$$report"; \
420           fi; \
421           dashes=`echo "$$dashes" | sed s/./=/g`; \
422           echo "$$dashes"; \
423           echo "$$banner"; \
424           test -z "$$skipped" || echo "$$skipped"; \
425           test -z "$$report" || echo "$$report"; \
426           echo "$$dashes"; \
427           test "$$failed" -eq 0; \
428         else :; fi
429
430 distdir: $(DISTFILES)
431         $(mkdir_p) $(distdir)/../../acmacro
432         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
433         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
434         list='$(DISTFILES)'; for file in $$list; do \
435           case $$file in \
436             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
437             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
438           esac; \
439           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
440           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
441           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
442             dir="/$$dir"; \
443             $(mkdir_p) "$(distdir)$$dir"; \
444           else \
445             dir=''; \
446           fi; \
447           if test -d $$d/$$file; then \
448             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
449               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
450             fi; \
451             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
452           else \
453             test -f $(distdir)/$$file \
454             || cp -p $$d/$$file $(distdir)/$$file \
455             || exit 1; \
456           fi; \
457         done
458 check-am: all-am
459         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
460         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
461 check: check-am
462 all-am: Makefile
463 installdirs:
464 install: install-am
465 install-exec: install-exec-am
466 install-data: install-data-am
467 uninstall: uninstall-am
468
469 install-am: all-am
470         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
471
472 installcheck: installcheck-am
473 install-strip:
474         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
475           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
476           `test -z '$(STRIP)' || \
477             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
478 mostlyclean-generic:
479
480 clean-generic:
481         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
482
483 distclean-generic:
484         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
485
486 maintainer-clean-generic:
487         @echo "This command is intended for maintainers to use"
488         @echo "it deletes files that may require special tools to rebuild."
489 clean: clean-am
490
491 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
492         mostlyclean-am
493
494 distclean: distclean-am
495         -rm -rf ./$(DEPDIR)
496         -rm -f Makefile
497 distclean-am: clean-am distclean-compile distclean-generic \
498         distclean-libtool distclean-tags
499
500 dvi: dvi-am
501
502 dvi-am:
503
504 html: html-am
505
506 info: info-am
507
508 info-am:
509
510 install-data-am:
511
512 install-exec-am:
513
514 install-info: install-info-am
515
516 install-man:
517
518 installcheck-am:
519
520 maintainer-clean: maintainer-clean-am
521         -rm -rf ./$(DEPDIR)
522         -rm -f Makefile
523 maintainer-clean-am: distclean-am maintainer-clean-generic
524
525 mostlyclean: mostlyclean-am
526
527 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
528         mostlyclean-libtool
529
530 pdf: pdf-am
531
532 pdf-am:
533
534 ps: ps-am
535
536 ps-am:
537
538 uninstall-am: uninstall-info-am
539
540 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
541         clean-checkPROGRAMS clean-generic clean-libtool ctags \
542         distclean distclean-compile distclean-generic \
543         distclean-libtool distclean-tags distdir dvi dvi-am html \
544         html-am info info-am install install-am install-data \
545         install-data-am install-exec install-exec-am install-info \
546         install-info-am install-man install-strip installcheck \
547         installcheck-am installdirs maintainer-clean \
548         maintainer-clean-generic mostlyclean mostlyclean-compile \
549         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
550         tags uninstall uninstall-am uninstall-info-am
551
552
553 dist-files:
554         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
555         @echo
556         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
557 # Tell versions [3.59,3.63) of GNU make to not export all variables.
558 # Otherwise a system limit (for SysV at least) may be exceeded.
559 .NOEXPORT: